<?php
require dirname(__FILE__).'/include/common.inc.php';
if(!isset($file)) $file = 'index';
preg_match("/^[0-9A-Za-z_-]+$/", $file) or showmessage('Invalid Request.','close');
if(!isset($forward) && str_exists(HTTP_REFERER, '?')) $forward = HTTP_REFERER;
$menu = get('menu','','`listid` DESC',1,10);
$ads = get('ads','','id',1,5);
$pageone = get('page','','id',1,5);
$newstype = get('type','WHERE lx =1','id','',10);
$producttype = get('type','WHERE lx =2','id','',10);
$link = get('link','','id',1,100);
if(!@include TM_ROOT.'source/'.$file.'.inc.php') showmessage("The file ./source/{$file}.inc.php is not exists!",'close');
?>